Announcement

Collapse
No announcement yet.

Feral Brings Company of Heroes 2 Commander Update To Linux

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Feral Brings Company of Heroes 2 Commander Update To Linux

    Phoronix: Feral Brings Company of Heroes 2 Commander Update To Linux

    Feral Interactive has just announced they've brought the Commander Update DLC for Company of Heroes 2 over to Linux (and macOS) as well...

    http://www.phoronix.com/scan.php?pag...mmander-Update

  • #2
    CoH2 doesn't work for me in Linux, the sound cuts out.

    Comment


    • #3
      Love Feral Interactive; they ported Shadow of Mordor and Mad Max to Linux and did a great job -- both of those games run great, have Feral's convenient, tell-tale options launcher, and are among the very few AAA games native to Linux.

      Comment


      • #4
        Still waiting for Shadow of the Tomb Raider

        Comment


        • #5
          Originally posted by AndyChow View Post
          CoH2 doesn't work for me in Linux, the sound cuts out.
          Works for me but the game is horribly slow, even at low detail levels. I still haven't bothered playing it, though, I haven't tried in over a year.

          Comment


          • #6
            Cross play?

            Comment


            • #7
              Originally posted by schmidtbag View Post
              Works for me but the game is horribly slow, even at low detail levels. I still haven't bothered playing it, though, I haven't tried in over a year.
              Would be helpful to know GPU. I found the game worked perfectly on Arch Linux with Nvidia binary blob.

              Comment


              • #8
                Originally posted by Jedibeeftrix View Post
                Cross play?
                Works on CoH1 on proton !

                Comment


                • #9
                  Originally posted by SyXbiT View Post
                  Would be helpful to know GPU. I found the game worked perfectly on Arch Linux with Nvidia binary blob.
                  Doesn't surprise me - that game was ported back when Nvidia was the only brand anyone was paying attention to on Linux. I have an R9 290.

                  Comment


                  • #10
                    AFAIK at the beginning it was compatible with Nvidia only but later they announced they supported AMD cards too. Maybe they do not support GPUs older than polaris ?

                    I was able to run it very slowly on a Intel HD2000 from a laptop.
                    Last edited by Dedale; 07-22-2019, 02:04 PM.

                    Comment

                    Working...
                    X